srecord: srecord::memory_walker_gcrypt Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::memory_walker_gcrypt Class Reference

The srecord::memory_walker_gcrypt class is used to represent walking memory and passing it to the gcrypt library in order to calculate a message digest. More...

`#include <gcrypt.h>`

Inheritance diagram for srecord::memory_walker_gcrypt:
[legend]
Collaboration diagram for srecord::memory_walker_gcrypt:
[legend]

## Public Member Functions
virtual | ~memory_walker_gcrypt ()
| The destructor.
Public Member Functions inherited from srecord::memory_walker
virtual | ~memory_walker ()
| The destructor.
virtual void | observe_end (void)
| The observe_end method is called once all of the data blocks have been passed to the observer via the observe() method.
virtual void | notify_upper_bound (unsigned long address)
| The notify_upper_bound method is used to notify the walker of the upper bound (highest address plus one) of the observe calls to come.
virtual void | observe_header (const record *rec=0)
| The observe_header method is used to inform the walker of the header record.
virtual void | observe_start_address (const record *rec=0)
| The observe_start_address method is used to inform the walker of the execution start address record.

## Static Public Member Functions
static pointer | create (gcry_md_hd_t handle)
| The create class method is used to create new dynamically allocated instances of this class.

## Protected Member Functions
void | observe (unsigned long, const void *, int)
| The observe method is used by the memory walker to provide data.
Protected Member Functions inherited from srecord::memory_walker
| memory_walker ()
| The default constructor.

## Additional Inherited Members
Public Types inherited from srecord::memory_walker
typedef std::shared_ptr< memory_walker > | pointer

## Detailed Description

The srecord::memory_walker_gcrypt class is used to represent walking memory and passing it to the gcrypt library in order to calculate a message digest.

Definition at line 39 of file gcrypt.h.

## Constructor & Destructor Documentation

## ◆ ~memory_walker_gcrypt()

virtual srecord::memory_walker_gcrypt::~memory_walker_gcrypt | ( |  | ) |
| virtual

The destructor.

## Member Function Documentation

## ◆ create()

pointer srecord::memory_walker_gcrypt::create | ( | gcry_md_hd_t | handle | ) |
| static

The create class method is used to create new dynamically allocated instances of this class.

Parameters

  handle | used to access the libgcrypt handle to the message digest being calculated.

## ◆ observe()

void srecord::memory_walker_gcrypt::observe | ( | unsigned long | address,
|  | const void * | data,
|  | int | data_size )
| protectedvirtual

The observe method is used by the memory walker to provide data.

Derived classes are required to impliment this method, and do something with the data.

Parameters

  address | The base address of this chunk of memory.
  data | The base address of this chunk of memory in memory.
  data_size | The size, in bytes, of this chunk of memory.

Implements srecord::memory_walker.

The documentation for this class was generated from the following file:

- memory/walker/gcrypt.h